PETSc version 3.17.4
Fix/Edit manual page

# SNESMultiblockSetIS

Sets the global row indices for the block

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMultiblockSetIS(SNES snes, const char name[], IS is)

Logically Collective on SNES

### Input Parameters

| snes | - the solver context
| name | - name of this block, if NULL the number of the block is used
| is | - the index set that defines the global row indices in this block

### Notes

Use SNESMultiblockSetFields(), for blocks defined by strides.

This function is called once per block (it creates a new block each time). Solve options for this block will be available under the prefix -multiblock_BLOCKNAME_.

### See Also

SNESMultiblockGetSubSNES(), SNESMULTIBLOCK, SNESMultiblockSetBlockSize()

### Level

intermediate

### Location

src/snes/impls/multiblock/multiblock.c

### Implementations

SNESMultiblockSetIS_Default in src/snes/impls/multiblock/multiblock.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages